# NewTest

@Serializable
@SerialName(value = "NewTest")
data class NewTest (val property1: String , val property2: Int , val parent: ParentTypeId ?) : Test (source)

## Constructors

NewTest
Link copied to clipboard
constructor(property1: String , property2: Int , parent: ParentTypeId ?)

## Properties

excludedProperty
Link copied to clipboard
open val excludedProperty : String
parent
Link copied to clipboard
@Serializable
@SerialName(value = "custom_parent_name")
open override val parent : ParentTypeId ?
property1
Link copied to clipboard
open override val property1 : String
property2
Link copied to clipboard
open override val property2 : Int

## Functions

asNew
Link copied to clipboard
fun Test . asNew (): NewTest
asRegistered
Link copied to clipboard
fun Test . asRegistered (id: TestId ): RegisteredTest